org.keycloak.authorization.model

## Interface ResourceServer

- All Known Implementing Classes:
    AbstractResourceServerModel, MapResourceServerAdapter, ResourceServerAdapter, ResourceServerAdapter

      public interface ResourceServer

  Represents a resource server, whose resources are managed and protected. A resource server is basically an existing client application in Keycloak that will also act as a resource server.
  Author:
    Pedro Igor

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `ResourceServer.SearchableFields`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `DecisionStrategy` | `getDecisionStrategy()` Returns the `DecisionStrategy` configured for this instance.
    `String` | `getId()` Returns the unique identifier for this instance.
    `PolicyEnforcementMode` | `getPolicyEnforcementMode()` Returns the `PolicyEnforcementMode` configured for this instance.
    `boolean` | `isAllowRemoteResourceManagement()` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)` Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
    `void` | `setDecisionStrategy(DecisionStrategy decisionStrategy)` Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
    `void` | `setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)` Defines a `PolicyEnforcementMode` for this instance.

- - ### Method Detail

    - #### getId

          String getId()

      Returns the unique identifier for this instance.
      Returns:
        the unique identifier for this instance

    - #### isAllowRemoteResourceManagement

          boolean isAllowRemoteResourceManagement()

      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API. `true` if the resource server is allowed to managed them remotely

    - #### setAllowRemoteResourceManagement

          void setAllowRemoteResourceManagement(boolean allowRemoteResourceManagement)

      Indicates if the resource server is allowed to manage its own resources remotely using the Protection API.
      Parameters:
        `allowRemoteResourceManagement` - `true` if the resource server is allowed to managed them remotely

    - #### getPolicyEnforcementMode

          PolicyEnforcementMode getPolicyEnforcementMode()

      Returns the `PolicyEnforcementMode` configured for this instance.
      Returns:
        the `PolicyEnforcementMode` configured for this instance.

    - #### setPolicyEnforcementMode

          void setPolicyEnforcementMode(PolicyEnforcementMode enforcementMode)

      Defines a `PolicyEnforcementMode` for this instance.
      Parameters:
        `enforcementMode` - one of the available options in `PolicyEnforcementMode`

    - #### setDecisionStrategy

          void setDecisionStrategy(DecisionStrategy decisionStrategy)

      Defines a `DecisionStrategy` for this instance, indicating how permissions should be granted depending on the given `decisionStrategy`.
      Parameters:
        `decisionStrategy` - the decision strategy

    - #### getDecisionStrategy

          DecisionStrategy getDecisionStrategy()

      Returns the `DecisionStrategy` configured for this instance.
      Returns:
        the decision strategy

Copyright © 2021 JBoss by Red Hat. All rights reserved.